> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Spotflow Accounts Balance

> Get account balance details for a specific wallet before and after top-up in both NGN and GHS currency.



## OpenAPI

````yaml openapi.json GET /balances/accounts/{accountNumber}/balance
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /balances/accounts/{accountNumber}/balance:
    get:
      description: >-
        Get account balance details for a specific spotflow-wallets before and
        after top-up in both NGN and GHS currency.
      operationId: AccountBalance
      parameters:
        - name: accountNumber
          in: path
          required: true
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of balances objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountBalanceListResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    AccountBalanceListResponse:
      type: object
      properties:
        accountNumber:
          type: string
          example: '7706438396'
        currency:
          type: string
          example: GHS
        balance:
          type: number
          format: float
          example: 3
        availableBalance:
          type: number
          format: float
          example: 3
        accountTag:
          type: string
          example: main-account
        parentAccountNumber:
          type: string
          example: string
      required:
        - accountNumber
        - currency
        - balance
        - availableBalance
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````